Payment Method
To view all payment methods:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/paymentMethod
GET /api/v2/paymentMethod HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 3,
"items": [
{
"paymentMethodId": 1,
"name": "Direct Debit",
"title": "PayByDirectDebit",
"description": "Pay by Direct Debit",
"status": "active"
},
{
"paymentMethodId": 2,
"name": "AWS",
"title": "PayByAWS",
"description": "Pay by AWS Marketplace",
"status": "active"
},
{
"paymentMethodId": 4,
"name": "Credit Card",
"title": "RepeatBillingAuthorized",
"description": "Pay by Credit Card",
"status": "setup"
}
]
}To create a new payment method:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
paymentMethodstringRequired
namestringRequired
titlestringRequired
Responses
200
Successful response
No content
post/api/v2/paymentMethod
POST /api/v2/paymentMethod HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"paymentMethod": "text",
"name": "text",
"title": "text"
}200
Successful response
No content
To view details for a specific payment method:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
paymentMethodIdstringRequired
Responses
200
Successful response
application/json
paymentMethodIdstringOptional
namestringOptional
titlestringOptional
descriptionstringOptional
statusstringOptional
get/api/v2/paymentMethod/{paymentMethodId}
GET /api/v2/paymentMethod/{paymentMethodId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"paymentMethodId": "4",
"name": "Credit Card",
"title": "RepeatBillingAuthorized",
"description": "Pay by Credit Card",
"status": "setup"
}To update a specific payment method:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
paymentMethodIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200
Successful response
application/json
paymentMethodIdstringOptional
namestringOptional
titlestringOptional
descriptionstringOptional
statusstringOptional
patch/api/v2/paymentMethod/{paymentMethodId}
PATCH /api/v2/paymentMethod/{paymentMethodId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"name": "text",
"title": "text",
"status": "text"
}200
Successful response
{
"paymentMethodId": "4",
"name": "Credit Card",
"title": "RepeatBillingAuthorized",
"description": "Pay by Credit Card",
"status": "active"
}Last updated
Was this helpful?